Gecode::Support::Event Class Reference
Common functionality » Support algorithms and datastructures » Simple thread and synchronization support

An event for synchronization. More...

`#include <thread.hpp>`

## Public Member Functions

| Event (void)
| Initialize event.
void | signal (void)
| Signal the event.
void | wait (void)
| Wait until the event becomes signalled.
| ~Event (void)
| Delete event.

## Detailed Description

An event for synchronization.

An event can be waited on by a single thread until the event is signalled.

Definition at line 215 of file thread.hpp.

## Constructor & Destructor Documentation

## Event()

Gecode::Support::Event::Event | ( | void |  | ) |

inline

Initialize event.

Definition at line 57 of file none.hpp.

## ~Event()

Gecode::Support::Event::~Event | ( | void |  | ) |

inline

Delete event.

Definition at line 63 of file none.hpp.

## Member Function Documentation

## signal()

void Gecode::Support::Event::signal | ( | void |  | ) |

inline

Signal the event.

Definition at line 59 of file none.hpp.

## wait()

void Gecode::Support::Event::wait | ( | void |  | ) |

inline

Wait until the event becomes signalled.

Definition at line 61 of file none.hpp.

The documentation for this class was generated from the following files:

- gecode/support/thread.hpp
- gecode/support/thread/none.hpp
- gecode/support/thread/pthreads.hpp
- gecode/support/thread/windows.hpp